%define name		jxta
%define version		2.3.2
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	JXTA P2P protocols
Url:		http://www.jxta.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Apache 1.1 -style License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	http://download.jxta.org/build/release/2.3.2/jxta-src-2.3.2.tar.gz
Source1:	jxta_license.txt
Patch0:		jxta-build_xml.patch

BuildRequires:	jpackage-utils >= 0:1.6
BuildRequires:	ant
BuildRequires:	junit
BuildRequires:	java-devel >= 0:1.4
BuildRequires:	servletapi4
BuildRequires:	jetty4
BuildRequires:	log4j
BuildRequires:	bouncycastle-jdk1.4
BuildRequires:	jaxen
BuildRequires:	jdom
BuildRequires:	swixml
BuildRequires:	xerces-j2
Requires:	java >= 0:1.4
Requires:	servletapi4
Requires:	jetty4
Requires:	log4j
Requires:	bouncycastle-jdk1.4
Requires:	jaxen
Requires:	jdom
Requires:	swixml
Requires:	xerces-j2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JXTA(tm) technology is a set of open protocols that allow 
any connected device on the network ranging from cell 
phones and wireless PDAs to PCs and servers to communicate 
and collaborate in a P2P manner. 

JXTA peers create a virtual network where any peer can 
interact with other peers and resources directly even when 
some of the peers and resources are behind firewalls and 
NATs or are on different network transports.


%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c -n %{name}-%{version}
chmod -R go=u-w *
cp %{SOURCE1} jxta_license.txt
find . -name "*.jar" -exec rm {} \;

%patch0 -b .sav

%build
pushd lib
ln -sf $(build-classpath servletapi4) javax.servlet.jar
ln -sf $(build-classpath jetty4) org.mortbay.jetty.jar
ln -sf $(build-classpath log4j) log4j.jar
ln -sf $(build-classpath bouncycastle/bcprov) bcprov-jdk14.jar
popd
pushd ext/lib
ln -sf $(build-classpath jaxen) jaxen-core.jar
ln -sf $(build-classpath jaxen) saxpath.jar
ln -sf $(build-classpath jaxen) jaxen-jdom.jar
ln -sf $(build-classpath jdom) jdom.jar
ln -sf $(build-classpath swixml) swixml.jar
ln -sf $(build-classpath xerces-j2) xerces-j2.jar
popd
pushd tools
ln -sf $(build-classpath junit) junit.jar
popd
ant jar javadoc service jxtaSwing runtest

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/jxta.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 dist/jxtaext.jar $RPM_BUILD_ROOT%{_javadir}/%{name}ext-%{version}.jar
install -m 644 dist/jxtaSwing.jar $RPM_BUILD_ROOT%{_javadir}/%{name}Swing-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 dist/jxtaextservice.war $RPM_BUILD_ROOT%{_datadir}/%{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/impl
cp -pr www/java/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/api
cp -pr www/java/impl/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/impl
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%doc jxta_license.txt
%{_javadir}/*
%{_datadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Tue Mar 01 2005 Ralph Apel <r.apel at r-apel.de> 0:2.3.2-1jpp
- First release

